| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::PendingCallContent Class Reference

`#include </home/kaffeine/devel/gsoc/release/telepathy-qt/TelepathyQt/call-content.h>`

Inherits Tp::PendingOperation.

## Public Member Functions

| ~PendingCallContent ()
CallContentPtr | content () const
Public Member Functions inherited from Tp::PendingOperation
virtual | ~PendingOperation ()
bool | isFinished () const
bool | isValid () const
bool | isError () const
QString | errorName () const
QString | errorMessage () const

## Additional Inherited Members

Signals inherited from Tp::PendingOperation
void | finished (Tp::PendingOperation *operation)
Protected Slots inherited from Tp::PendingOperation
void | setFinished ()
void | setFinishedWithError (const QString &name, const QString &message)
void | setFinishedWithError (const QDBusError &error)
Protected Member Functions inherited from Tp::PendingOperation
| PendingOperation (const SharedPtr< RefCounted > &object)
SharedPtr< RefCounted > | object () const

## Constructor & Destructor Documentation

Tp::PendingCallContent::~PendingCallContent | ( |  | ) |

## Member Function Documentation

CallContentPtr Tp::PendingCallContent::content | ( |  | ) | const